Subject: Re: bug#10186: 23.3; save-some-buffers not making review windows large enough

From: Juri Linkov <[email-masked]>
Date: Wed, 07 Dec 2011 18:51:38 +0200

>> No, my frame is huge.  The problem is that it is already divided up,
>> including a small window that sometimes/often gets chosen by Emacs for
>> display-buffer.
>
> This happens because `display-buffer-use-some-window' tries the least
> recently used window first.  If that window happens to be small ...
>
> In any case this sounds like a more general problem with your setup so
> maybe something like the following would help

This is a more general problem for many users.  It was discussed
in bug#10040 (also mentioned in bug#3419).  I think there should a rule
for display-buffer to skip small windows.